Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Thu, 07 Jul 2022 08:23:11 +0000

>
> C-p takes an inordinate amount of time in those cases because it calls 
> functions of the display engine (see vertical-motion).  Limiting the 
> display code to some small enough region of the buffer will speed that 
> up as well, since it's the same code in both cases.  The somewhat tricky 
> part with the likes of C-p is where and how to compute the restriction.
>

Okay.  Can I try to do this myself, or are you already working on it, if 
not already polishing your code?